# coding=utf-8

import django_filters

from apps.tenant.employee.models import Employee


class EmployeeFilter(django_filters.FilterSet):
    username = django_filters.CharFilter(field_name='user__username', lookup_expr='icontains')
    name = django_filters.CharFilter(field_name='name', lookup_expr='icontains')
    type = django_filters.CharFilter(field_name='type')

    class Meta:
        model = Employee
        fields = '__all__'
